Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.awt
Class Colors

    java.lang.Object
      phelps.awt.Colors

public class Colors
extends java.lang.Object

Color management.

Version:
  $Revision: 1.2 $ $Date: 2003/06/01 08:00:03 $

Field Summary
`static java.awt.Color` | `TRANSPARENT` Canonical transparent color.

Method Summary
`static void` | `addColor(java.lang.String n, java.lang.Object o)` Put color in system list, which some behaviors use in menus.
`static java.awt.Color` | `getColor(java.lang.String spec)`
`static java.awt.Color` | `getColor(java.lang.String spec, java.awt.Color defaultColor)` Retrieve color by name (from sRGB set: "red", "maroon", ...) or create new color by hex code ("#ffffff", "#900").
`static java.lang.String` | `getName(java.awt.Color c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSPARENT

    public static final java.awt.Color TRANSPARENT

  Canonical transparent color. Use `==`, not `equals()`.

Method Detail

### addColor

    public static void addColor(java.lang.String n,
                                java.lang.Object o)

  Put color in system list, which some behaviors use in menus.

### getName

    public static java.lang.String getName(java.awt.Color c)

### getColor

    public static java.awt.Color getColor(java.lang.String spec)

### getColor

    public static java.awt.Color getColor(java.lang.String spec,
                                          java.awt.Color defaultColor)

  Retrieve color by name (from sRGB set: "red", "maroon", ...) or create new color by hex code ("#ffffff", "#900").

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD